package com.yeejoin.precontrol.common.enums.media;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author: songLei
 * @Description: 海康API接口KEY
 * @Date: 2021/4/29 11:31
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum MediaHkApiConfigKey {
    MONITORING_POINT_PREVIEW_URL("MONITORING_POINT_PREVIEW_URL","获取监控点预览取流URL"),
    PAGE_MONITORING_POINT_RESOURCES("PAGE_MONITORING_POINT_RESOURCES","分页获取监控点资源"),
    MONITORING_POINT_CHILDREN("MONITORING_POINT_CHILDREN","根据区域编号获取下级监控点列表"),
    MONITORING_POINT_DETAILS("MONITORING_POINT_DETAILS","根据编号获取监控点详细信息"),
    MONITORING_POINT_PLAYBACK_URL("MONITORING_POINT_PLAYBACK_URL","获取监控点回放取流URL"),
    BATCH_ADD_REGION("BATCH_ADD_REGION","批量添加区域"),
    SET_ADDITION("SET_ADDITION","设置预置点信息"),
    GET_ROOT_ZONE("GET_ROOT_ZONE","根区域"),
    GET_REGIONS("GET_REGIONS","区域列表"),
    IS_ONLINE("IS_ONLINE","获取监控点在线状态");
    private String key;
    private String name;
}
